Blame SOURCES/hsqldb-tmp.patch

8e2a7f
diff -ur hsqldb.orig/bin/hsqldb hsqldb/bin/hsqldb
8e2a7f
--- hsqldb.orig/bin/hsqldb	2006-09-05 10:37:12.000000000 -0400
8e2a7f
+++ hsqldb/bin/hsqldb	2006-09-05 10:50:45.000000000 -0400
8e2a7f
@@ -110,7 +110,10 @@
8e2a7f
 SU_ECHO_SECS=1
8e2a7f
 # File used as semaphore.  If file is removed, a running pid checker
8e2a7f
 # process will exit.
8e2a7f
-PIDCHECKER_FLAGFILE=/tmp/pidchecker.run
8e2a7f
+PIDCHECKER_FLAGFILE=`mktemp /tmp/hsqldb.XXXXXXXX`
8e2a7f
+if [ x"$PIDCHECKER_FLAGFILE" = "x" ] ; then
8e2a7f
+	echo "unable to create tmp file"; exit 1
8e2a7f
+fi
8e2a7f
 # The following settings get overridden by optional setting in the config file.
8e2a7f
 # Time to allow for JVM to die after all HSQLDB instances stopped.
8e2a7f
 MAX_TERMINATE_SECS=1